# ExifDateGeoBatch

## Description

**ExifDateGeoBatch** - a user-friendly GUI tool designed to simplify the process of batch editing the EXIF data of your
photographs, specifically focusing on coordinates and creation dates. Whether you're organizing a vast digital
collection or updating the metadata of your personal photo library, ExifDateGeoBatch makes it esay and efficient.

## Features

- **Batch Editing**: Edit the EXIF data of hundreds of photos at once.
- **Map Widget Integration**: Easily assign geographic coordinates to your photos using an intuitive map interface.
- **Date Picker Widget**: Update the creation date of your images with a simple-to-use date picker.
- **User-Friendly Interface**: A clean, intuitive interface makes it easy to get started.
- **Preview Changes**: Preview the changes you're about to make before applying them to ensure accuracy.
- **Cross-Platform**: ExifDateGeoBatch is compatible with Windows, macOS, and Linux, as long as you have Python 3.x
  installed.
- **Group Tagging**: Organize your photos into groups and tag them with consistent EXIF data.

## Prerequisites

- Ensure you have Python installed on your system (Python 3.8 or later is recommended).
- [Optional] Install a Git client to clone the repository (alternatively, you can download the code as a ZIP file).

## Installation

1. Clone the repository or download the source code:

```bash
git clone https://github.com/Cornul11/ExifDateGeoBatch.git
cd ExifDateGeoBatch
```

2. Create a virtual environment and activate it:

```bash
python -m venv venv
```

- Windows:

```bash
.\venv\Scripts\activate
```

- macOS/Linux:

```bash
source venv/bin/activate
```

3. Install the required dependencies:

```bash
pip install -r requirements.txt
```

## Usage

Run the application by executing the main script:

```bash
python main.py
```
